class

  ListView

brief

  メモリ管理機能を提供する仮想リストビュークラス

### Type parameters

- #### TModel: Model

### Hierarchy

- View<TModel>
  - ListView
    - ExpandableListView

### Implements

- IListView
- IComposableView

## Index

### Constructors

- constructor

### Properties

- $el
- _scrollMgr
- attributes
- cid
- className
- collection
- el
- id
- model
- tagName

### Accessors

- backupData
- core

### Methods

- $
- _addLine
- _ensureElement
- addItem
- backup
- bind
- clearBackup
- delegate
- delegateEvents
- ensureVisible
- events
- getItemInfo
- getScrollPos
- getScrollPosMax
- hasBackup
- initialize
- isInitialized
- listenTo
- listenToOnce
- off
- on
- once
- rebuild
- refresh
- release
- remove
- removeItem
- render
- restore
- scrollTo
- setElement
- setScrollHandler
- setScrollStopHandler
- stopListening
- trigger
- unbind
- undelegate
- undelegateEvents
- update
- compose
- extend

## Constructors

### constructor

- new ListView(options?: ListViewConstructOptions<TModel>): ListView

- Overrides View.__constructor

  - Defined in CDP/UI/listview/ListView.ts:22

  constructor

  #### Parameters

  - ##### Optional options: ListViewConstructOptions<TModel>

    [in] オプション

  #### Returns ListView

## Properties

### $el

$el: JQuery

Inherited from View.$el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:428

### Private _scrollMgr

_scrollMgr: ScrollManager = null

- Defined in CDP/UI/listview/ListView.ts:22

### attributes

attributes: any

Inherited from View.attributes

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:430

### cid

cid: string

Inherited from View.cid

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:423

### className

className: string

Inherited from View.className

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:424

### collection

collection: Collection<TModel>

Inherited from View.collection

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:419

### el

el: any

Inherited from View.el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:427

### id

id: string

Inherited from View.id

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:422

### model

model: TModel

Inherited from View.model

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:418

### tagName

tagName: string

Inherited from View.tagName

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:425

## Accessors

### backupData

- get backupData(): any

- - Defined in CDP/UI/listview/ListView.ts:139

  #### Returns any

### core

- get core(): IListViewFramework

- - Defined in CDP/UI/listview/ListView.ts:180

  #### Returns IListViewFramework

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:417

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:431

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### _addLine

- _addLine(_line: any, insertTo?: number): void

- - Defined in CDP/UI/listview/ListView.ts:188

  #### Parameters

  - ##### _line: any

  - ##### Optional insertTo: number

  #### Returns void

### _ensureElement

- _ensureElement(): void

- Inherited from View._ensureElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:439

  #### Returns void

### addItem

- addItem(height: number, initializer: object, info: any, insertTo?: number): void

- - Defined in CDP/UI/listview/ListView.ts:72

  #### Parameters

  - ##### height: number

  - ##### initializer: object

  - ##### info: any

  - ##### Optional insertTo: number

  #### Returns void

### backup

- backup(key: string): boolean

- Implementation of IListView.backup

  - Defined in CDP/UI/listview/ListView.ts:119

  #### Parameters

  - ##### key: string

  #### Returns boolean

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:93

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### clearBackup

- clearBackup(key?: string): boolean

- Implementation of IListView.clearBackup

  - Defined in CDP/UI/listview/ListView.ts:134

  #### Parameters

  - ##### Optional key: string

  #### Returns boolean

### delegate

- delegate(eventName: string, selector: string, listener: Function): View<TModel>

- Inherited from View.delegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:435

  #### Parameters

  - ##### eventName: string

  - ##### selector: string

  - ##### listener: Function

  #### Returns View<TModel>

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:434

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### ensureVisible

- ensureVisible(index: number, options?: EnsureVisibleOptions): void

- Implementation of IListView.ensureVisible

  - Defined in CDP/UI/listview/ListView.ts:172

  #### Parameters

  - ##### index: number

  - ##### Optional options: EnsureVisibleOptions

  #### Returns void

### events

- events(): EventsHash

- Inherited from View.events

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:415

  Events hash or a method returning the events hash that maps events/selectors to methods on your View. For assigning events as object hash, do it like this: this.events = <any>{ "event:selector": callback, ... }; That works only if you set it in the constructor or the initialize method.

  #### Returns EventsHash

### getItemInfo

- getItemInfo(target: number): any
- getItemInfo(target: Event): any

- Implementation of IListView.getItemInfo

  - Defined in CDP/UI/listview/ListView.ts:89

  #### Parameters

  - ##### target: number

  #### Returns any

- Implementation of IListView.getItemInfo

  - Defined in CDP/UI/listview/ListView.ts:90

  #### Parameters

  - ##### target: Event

  #### Returns any

### getScrollPos

- getScrollPos(): number

- Implementation of IListView.getScrollPos

  - Defined in CDP/UI/listview/ListView.ts:157

  #### Returns number

### getScrollPosMax

- getScrollPosMax(): number

- Implementation of IListView.getScrollPosMax

  - Defined in CDP/UI/listview/ListView.ts:162

  #### Returns number

### hasBackup

- hasBackup(key: string): boolean

- Implementation of IListView.hasBackup

  - Defined in CDP/UI/listview/ListView.ts:129

  #### Parameters

  - ##### key: string

  #### Returns boolean

### initialize

- initialize(options?: ViewOptions<TModel>): void

- Inherited from View.initialize

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:408

  #### Parameters

  - ##### Optional options: ViewOptions<TModel>

  #### Returns void

### isInitialized

- isInitialized(): boolean

- Implementation of IListView.isInitialized

  - Defined in CDP/UI/listview/ListView.ts:67

  #### Returns boolean

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:97

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:98

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:91

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:89

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:90

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:96

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### rebuild

- rebuild(): void

- Implementation of IListView.rebuild

  - Defined in CDP/UI/listview/ListView.ts:106

  #### Returns void

### refresh

- refresh(): void

- Implementation of IListView.refresh

  - Defined in CDP/UI/listview/ListView.ts:96

  #### Returns void

### release

- release(): void

- Implementation of IListView.release

  - Defined in CDP/UI/listview/ListView.ts:111

  #### Returns void

### remove

- remove(): View<TModel>

- Overrides View.remove

  - Defined in CDP/UI/listview/ListView.ts:58

  #### Returns View<TModel>

### removeItem

- removeItem(index: number, size?: number, delay?: number): void
- removeItem(index: number[], delay?: number): void

- Implementation of IListView.removeItem

  - Defined in CDP/UI/listview/ListView.ts:82

  #### Parameters

  - ##### index: number

  - ##### Optional size: number

  - ##### Optional delay: number

  #### Returns void

- Implementation of IListView.removeItem

  - Defined in CDP/UI/listview/ListView.ts:83

  #### Parameters

  - ##### index: number[]

  - ##### Optional delay: number

  #### Returns void

### render

- render(): View<TModel>

- Inherited from View.render

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:432

  #### Returns View<TModel>

### restore

- restore(key: string, rebuild?: boolean): boolean

- Implementation of IListView.restore

  - Defined in CDP/UI/listview/ListView.ts:124

  #### Parameters

  - ##### key: string

  - ##### Default value rebuild: boolean = true

  #### Returns boolean

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- Implementation of IListView.scrollTo

  - Defined in CDP/UI/listview/ListView.ts:167

  #### Parameters

  - ##### pos: number

  - ##### Optional animate: boolean

  - ##### Optional time: number

  #### Returns void

### setElement

- setElement(element: HTMLElement, delegate?: boolean): View<TModel>
- setElement(element: JQuery, delegate?: boolean): View<TModel>

- Overrides View.setElement

  - Defined in CDP/UI/listview/ListView.ts:46

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional delegate: boolean

  #### Returns View<TModel>

- Overrides View.setElement

  - Defined in CDP/UI/listview/ListView.ts:47

  #### Parameters

  - ##### element: JQuery

  - ##### Optional delegate: boolean

  #### Returns View<TModel>

### setScrollHandler

- setScrollHandler(handler: function, on: boolean): void

- - Defined in CDP/UI/listview/ListView.ts:147

  #### Parameters

  - ##### handler: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

  #### Returns void

### setScrollStopHandler

- setScrollStopHandler(handler: function, on: boolean): void

- - Defined in CDP/UI/listview/ListView.ts:152

  #### Parameters

  - ##### handler: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

  #### Returns void

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:99

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:92

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:94

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: string, selector?: string, listener?: Function): View<TModel>

- Inherited from View.undelegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:437

  #### Parameters

  - ##### eventName: string

  - ##### Optional selector: string

  - ##### Optional listener: Function

  #### Returns View<TModel>

### undelegateEvents

- undelegateEvents(): any

- Inherited from View.undelegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:436

  #### Returns any

### update

- update(): void

- Implementation of IListView.update

  - Defined in CDP/UI/listview/ListView.ts:101

  #### Returns void

### Static compose

- compose(derives: ViewConstructor | ViewConstructor[], properties: any, classProperties?: any): ViewConstructor

- - Defined in CDP/UI/listview/ListView.ts:203

  すでに定義された Backbone.View を基底クラスに設定し、extend を実行する。

  #### Parameters

  - ##### derives: ViewConstructor | ViewConstructor[]

    [in] 合成元の View クラス

  - ##### properties: any

    [in] prototype プロパティ

  - ##### Optional classProperties: any

    [in] static プロパティ

  #### Returns ViewConstructor

  新規に生成された View のコンストラクタ

### Static extend

- extend(properties: any, classProperties?: any): any

- Inherited from View.extend

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:405

  Do not use, prefer TypeScript's extend functionality.

  #### Parameters

  - ##### properties: any

  - ##### Optional classProperties: any

  #### Returns any

Generated using TypeDoc